<template>
  <div class="item content">
    <div class="image">
      <service-image :service="service" />
    </div>
    <h4 class="title is-3">{{ service.name}}</h4>
    <p class="is-size-6 is-open-sans">{{ truncate(service.description, 100) }}</p>
    <div class="tags catalog_item__tags" v-if="service.tags">
      <span v-for="tag in service.tags" :key="tag" class="tag">{{ tag }}</span>
    </div>
  </div>
</template>

<script lang="ts">
import { Component, Vue, Prop } from "vue-property-decorator";
import { CatalogItem } from "@/services/osb/catalog";
import ServiceImage from "@/components/ServiceImage.vue";

@Component({
  components: {
    ServiceImage
  }
})
export default class ServiceCatalogItem extends Vue {
  @Prop() public service!: CatalogItem;

  truncate(input: string, max_length: number): string {
    if (input.length > max_length) {
      return input.substring(0, max_length) + "...";
    }
    return input;
  }
}
</script>

<style lang="scss" scoped>
.item {
  flex: 0 0 calc(33.333% - 10px);
  background: $white;
  padding: 40px;
  margin-bottom: 30px;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;

  @include media(">phone", "<=tablet") {
    padding: 40px 20px;
    width: calc(50% - 10px);
    flex: 0 0 calc(50% - 10px);
  }

  @include media("<=phone") {
    width: 100%;
    flex: 0 0 100%;
  }

  .image {
    min-height: 210px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 50px;

    img {
      margin: auto;
    }
  }

  h4 {
    margin-bottom: 20px;
    height: 80px;

    @include media("<=phone") {
      height: auto;
    }
  }
}
</style>
